/* Dark Mode for NoAds X Files (xfiles.noads.it)
    Credits:
    https://www.w3schools.com/howto/howto_js_toggle_dark_mode.asp
    https://codepen.io/androidcss/pen/yOopGp
    https://ultimatecourses.com/blog/applying-dark-mode-styles-in-css
*/

@media screen and (prefers-color-scheme: dark) {
    body {
        background-color: #444;
        color: #FFF;
    }

    a.dark-mode-button {
        display: none;
    }

    /* Sections */
    .section-title,
    .about h5 a,
    p,
    #versions-recommended {
        color: #fff;
    }

    .service-box .service-content h4,
    .service-box .service-content h4 a {
        color: #fff;
    }
    
    .service-box .service-content h4 a:hover {
        color: #4076FF;
    }

    .service-box .service-icon i,
    .service-box .service-icon svg.iconify {
        color: #1CE882;
    }

    /* Download Area */
    .content_tips {
        background-color: #282828;
    }

    .content_tips ul a {
        color: #1CE882;
    }

    .table-active {
        background: #565656;
    }

    #download sub a {
        color: #FE904F;
    }

    .pricing-table-item {
        background: #282828;
    }

    .pricing-table-item .plan-price .price-value {
        color: #fff;
    }

    .pricing-table-item .plan-name h3 {
        color: #fff;
    }

    .plan-name h3 i,
    .plan-name h3 svg.iconify {
        color: #1CE882;
    }

    li {
        color: #fff;
    }

    .pricing-table-item .btn-common,
    .btn-common:active,
    .btn-common:focus {
        color: #000000;
        border: 2px solid #FE904F;
    }

    .plan-signup .btn-common {
        background: #fff;
    }

    /* Aiuto */
    .featured-box-item .featured-icon i,
    .featured-box-item .featured-icon svg.iconify {
        color: #1CE882;
    }

    .featured-box-item:hover .featured-icon i,
    .featured-box-item:hover .featured-icon svg.iconify {
        background: #1CE882;
        color: #fff;
    }

    .featured-box-item .featured-content h4 {
        color: #fff;
    }

    /* License */
    .title-head {
        color: #fff;
    }
}

.dark-mode {
    background-color: #444;
    color: #FFF;
}

/* Dark Mode Activation / Deactivation Button */
a.dark-mode-button {
    position: fixed;
    bottom: 18px;
    left: 15px;
    text-decoration: none;
}

a.dark-mode-button i,
a.dark-mode-button svg.iconify {
    display: block;
    font-size: 22px;
    width: 40px;
    height: 40px;
    line-height: 40px;
    color: #000000;
    background: #1CE882;
    border-radius: 2px;
    text-align: center;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.14), 0 4px 8px rgba(0, 0, 0, 0.28);
}

a.dark-mode-button:hover,
a.dark-mode-button:focus {
    text-decoration: none;
}

/* Sections */
.dark-mode .section-title,
.dark-mode .about h5 a,
.dark-mode p,
.dark-mode #versions-recommended {
    color: #fff;
}

.dark-mode .service-box .service-content h4,
.dark-mode .service-box .service-content h4 a {
    color: #fff;
}

.dark-mode .service-box .service-content h4 a:hover {
    color: #4076FF;
}

.dark-mode .service-box .service-icon i,
.dark-mode .service-box .service-icon svg.iconify {
    color: #1CE882;
}

/* Download Area */
.dark-mode .content_tips {
    background-color: #696969;
}

.dark-mode .content_tips ul a {
    color: #1CE882;
}

.dark-mode .table-active {
    background: #565656;
}

.dark-mode #download sub a {
    color: #FE904F;
}

.dark-mode .pricing-table-item {
    background: #282828;
}

.dark-mode .pricing-table-item .plan-price .price-value {
    color: #fff;
}

.dark-mode .pricing-table-item .plan-name h3 {
    color: #fff;
}

.dark-mode .plan-name h3 i,
.dark-mode .plan-name h3 svg.iconify {
    color: #1CE882;
}

.dark-mode li {
    color: #fff;
}

.dark-mode .pricing-table-item .btn-common,
.btn-common:active,
.btn-common:focus {
    color: #000000;
    border: 2px solid #FE904F;
}

.dark-mode .plan-signup .btn-common {
    background: #fff;
}

/* Aiuto */
.dark-mode .featured-box-item .featured-icon i,
.dark-mode .featured-box-item .featured-icon svg.iconify {
    color: #1CE882;
}

.dark-mode .featured-box-item:hover .featured-icon i,
.dark-mode .featured-box-item:hover .featured-icon svg.iconify {
    background: #1CE882;
    color: #fff;
}

.dark-mode .featured-box-item .featured-content h4 {
    color: #fff;
}

/* License */
.dark-mode .title-head {
    color: #fff;
}